#pragma once

#include "CoreMinimal.h"
#include "AuthoritativeActorPoolComponent.h"
#include "UObject/NoExportTypes.h"
#include "CageHookPoolComponent.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DBDGAMEPLAY_API UCageHookPoolComponent : public UAuthoritativeActorPoolComponent
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable, NetMulticast, Reliable)
	void Multicast_SpawnTrapBlocker(const TArray<FTransform>& spawnLocations, const FVector& boxExtent);

public:
	UCageHookPoolComponent();
};

FORCEINLINE uint32 GetTypeHash(const UCageHookPoolComponent) { return 0; }
